# TIFFDataWidth

## Synopsis

    #include <tiffio.h>

int TIFFDataWidth(TIFFDataType type)

## Description

`TIFFDataWidth()` returns the size of type within TIFF file in bytes. Currently following data types are supported:

- `TIFF_BYTE`

- `TIFF_ASCII`

- `TIFF_SBYTE`

- `TIFF_UNDEFINED`

- `TIFF_SHORT`

- `TIFF_SSHORT`

- `TIFF_LONG`

- `TIFF_SLONG`

- `TIFF_FLOAT`

- `TIFF_IFD`

- `TIFF_RATIONAL`

- `TIFF_SRATIONAL`

- `TIFF_DOUBLE`

- `TIFF_LONG8`

- `TIFF_SLONG8`

- `TIFF_IFD8`

## Return values

`TIFFDataWidth()` returns a number of bytes occupied by the item of given type within the TIFF file. 0 returned when unknown data type supplied.

## See also

libtiff (3tiff)